Index: branches/v2_0_0_prep/extensions/extWFS2/src/org/gvsig/wfs/WFSClientExtension.java
===================================================================
--- branches/v2_0_0_prep/extensions/extWFS2/src/org/gvsig/wfs/WFSClientExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/extWFS2/src/org/gvsig/wfs/WFSClientExtension.java	(revision 38564)
@@ -1,9 +1,11 @@
 package org.gvsig.wfs;
 
-import org.gvsig.andami.PluginServices;
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.plugins.Extension;
 import org.gvsig.app.extension.AddLayer;
 import org.gvsig.app.project.documents.view.legend.gui.ThemeManagerWindow;
+import org.gvsig.fmap.dal.store.wfs.WFSStoreProvider;
+import org.gvsig.fmap.mapcontext.MapContextLocator;
 import org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect;
 import org.gvsig.gui.beans.panelGroup.PanelGroupManager;
 import org.gvsig.tools.ToolsLocator;
@@ -152,89 +154,23 @@
 	 * Prepares support for the icons that can be used in the WFS extension.
 	 */
 	void initilizeIcons(){
-		// FLyrWFS.java
-		PluginServices.getIconTheme().registerDefault(
-	    		"WFS-icolayer",
-	    		this.getClass().getClassLoader().getResource("images/icoLayer.png")
-	    	);
+		IconThemeHelper.registerIcon("layer", "layer-icon-wfs", this);
+		MapContextLocator.getMapContextManager().registerIconLayer(WFSStoreProvider.NAME, "layer-icon-wfs");
 
 		// WFSAreaPanel.java
-		PluginServices.getIconTheme().registerDefault(
-	    		"edit-undo",
-	    		this.getClass().getClassLoader().getResource("images/edit-undo.png")
-	    	);
-
-		// WFSAreaPanel.java
-		PluginServices.getIconTheme().registerDefault(
-	    		"WFS-move",
-	    		this.getClass().getClassLoader().getResource("images/move.png")
-	    	);
-
-		// WFSAreaPanel.java
-		PluginServices.getIconTheme().registerDefault(
-	    		"WFS-scaling",
-	    		this.getClass().getClassLoader().getResource("images/scaling.png")
-	    	);
-
-		// WFSAreaPanel.java
-		PluginServices.getIconTheme().registerDefault(
-	    		"view-pan",
-	    		this.getClass().getClassLoader().getResource("images/Pan.png")
-	    	);
-
-		// WFSAreaPanel.java
-		PluginServices.getIconTheme().registerDefault(
-	    		"view-zoom-in",
-	    		this.getClass().getClassLoader().getResource("images/ZoomIn.png")
-	    	);
-
-		// WFSAreaPanel.java
-		PluginServices.getIconTheme().registerDefault(
-	    		"view-zoom-out",
-	    		this.getClass().getClassLoader().getResource("images/ZoomOut.png")
-	    	);
-
-		// WFSAreaPanel.java
-		PluginServices.getIconTheme().registerDefault(
-	    		"view-zoom-back",
-	    		this.getClass().getClassLoader().getResource("images/ZoomPrevio.png")
-	    	);
-
-		// WFSAreaPanel.java
-		PluginServices.getIconTheme().registerDefault(
-	    		"view-zoom-map-contents",
-	    		this.getClass().getClassLoader().getResource("images/MapContents.png")
-	    	);
-
-		// WFSAreaPanel.java
-		PluginServices.getIconTheme().registerDefault(
-	    		"view-zoom-mas",
-	    		this.getClass().getClassLoader().getResource("images/zoommas.png")
-	    	);
-
-		//		 WFSAreaPanel.java
-		PluginServices.getIconTheme().registerDefault(
-	    		"view-zoom-menos",
-	    		this.getClass().getClassLoader().getResource("images/zoommenos.png")
-	    	);
-
-		//		 WFSAreaPanel.java
-		PluginServices.getIconTheme().registerDefault(
-	    		"view-query-distance",
-	    		this.getClass().getClassLoader().getResource("images/Distancia.png")
-	    	);
-
-		//	 	WFSAreaPanel.java
-		PluginServices.getIconTheme().registerDefault(
-	    		"view-query-area",
-	    		this.getClass().getClassLoader().getResource("images/Poligono16.png")
-	    	);
-
-		// 		WFSAreaPanel.java
-		PluginServices.getIconTheme().registerDefault(
-	    		"validate-area",
-	    		this.getClass().getClassLoader().getResource("images/validate-area.png")
-	    	);
+		IconThemeHelper.registerIcon("wfs-properties", "wfs-properties-undo", this);
+		IconThemeHelper.registerIcon("wfs-properties", "wfs-properties-move", this);
+		IconThemeHelper.registerIcon("wfs-properties", "wfs-properties-scaling", this); // ???
+		IconThemeHelper.registerIcon("wfs-properties", "wfs-properties-pan", this);
+		IconThemeHelper.registerIcon("wfs-properties", "wfs-properties-zoom-in", this);
+		IconThemeHelper.registerIcon("wfs-properties", "wfs-properties-zoom-out", this);
+		IconThemeHelper.registerIcon("wfs-properties", "wfs-properties-zoom-back", this);
+		IconThemeHelper.registerIcon("wfs-properties", "wfs-properties-zoom-all", this);
+		IconThemeHelper.registerIcon("wfs-properties", "wfs-properties-zoom-plus", this);
+		IconThemeHelper.registerIcon("wfs-properties", "wfs-properties-zoom-minus", this);
+		IconThemeHelper.registerIcon("wfs-properties", "wfs-properties-query-area", this);
+		IconThemeHelper.registerIcon("wfs-properties", "wfs-properties-query-distance", this);
+		IconThemeHelper.registerIcon("wfs-properties", "wfs-properties-validate-area", this); // ???
 	}
 
 }
Index: branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/JoinExtension.java
===================================================================
--- branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/JoinExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/JoinExtension.java	(revision 38564)
@@ -40,6 +40,7 @@
  */
 package org.gvsig.editing;
 
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.messages.NotificationManager;
 import org.gvsig.andami.plugins.Extension;
@@ -73,20 +74,16 @@
 	}
 
 	private void registerIcons(){
-		PluginServices.getIconTheme().registerDefault(
-				"edition-geometry-Join",
-				this.getClass().getClassLoader().getResource("images/Join.png")
-			);
-
+		IconThemeHelper.registerIcon("action", "layer-modify-join", this);
 	}
 	/**
 	 * @see org.gvsig.andami.plugins.IExtension#execute(java.lang.String)
 	 */
 	public void execute(String s) {
 		CADExtension.initFocus();
-		if (s.equals("_join")) {
-        	CADExtension.setCADTool(s,true);
-        }
+		if ("layer-modify-join".equalsIgnoreCase(s)) {
+			 CADExtension.setCADTool("_join",true);
+	    }
 		CADExtension.getEditionManager().setMapControl(mapControl);
 		CADExtension.getCADToolAdapter().configureMenu();
 	}
Index: branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/UndoViewExtension.java
===================================================================
--- branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/UndoViewExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/UndoViewExtension.java	(revision 38564)
@@ -44,8 +44,6 @@
 import org.gvsig.andami.messages.NotificationManager;
 import org.gvsig.andami.plugins.Extension;
 import org.gvsig.app.project.documents.view.gui.DefaultViewPanel;
-import org.gvsig.fmap.dal.exception.DataException;
-import org.gvsig.fmap.dal.exception.ReadException;
 import org.gvsig.fmap.mapcontext.layers.FLayer;
 import org.gvsig.fmap.mapcontext.layers.FLayers;
 import org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect;
@@ -65,10 +63,6 @@
 	 * @see org.gvsig.andami.plugins.IExtension#initialize()
 	 */
 	public void initialize() {
-		PluginServices.getIconTheme().registerDefault(
-				"view-undo",
-				this.getClass().getClassLoader().getResource("images/Undo.png")
-			);
 	}
 
 	/**
@@ -78,7 +72,7 @@
 		DefaultViewPanel vista = (DefaultViewPanel) PluginServices.getMDIManager().getActiveWindow();
 
 
-		if (s.compareTo("UNDO") == 0) {
+		if (s.compareTo("edit-undo-layer") == 0) {
 			undo(vista);
 
 		}
Index: branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/SelectionGeometryExtension.java
===================================================================
--- branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/SelectionGeometryExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/SelectionGeometryExtension.java	(revision 38564)
@@ -40,7 +40,7 @@
  */
 package org.gvsig.editing;
 
-import org.gvsig.andami.PluginServices;
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.messages.NotificationManager;
 import org.gvsig.andami.plugins.Extension;
 import org.gvsig.editing.gui.cad.tools.SelectionCADTool;
@@ -70,18 +70,15 @@
 	}
 
 	private void registerIcons(){
-		PluginServices.getIconTheme().registerDefault(
-				"edition-geometry-select",
-				this.getClass().getClassLoader().getResource("images/SelCAD.png")
-			);
-
+		IconThemeHelper.registerIcon("action", "selection-simple", this);
 	}
+	
 	/**
 	 * @see org.gvsig.andami.plugins.IExtension#execute(java.lang.String)
 	 */
 	public void execute(String s) {
 		CADExtension.initFocus();
-		if (s.equals("_selection")) {
+		if (s.equals("selection-simple")) {
         	CADExtension.setCADTool("_selection",true);
         }
 		CADExtension.getEditionManager().setMapControl(mapControl);
Index: branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/MatrixExtension.java
===================================================================
--- branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/MatrixExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/MatrixExtension.java	(revision 38564)
@@ -40,6 +40,7 @@
  */
 package org.gvsig.editing;
 
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.messages.NotificationManager;
 import org.gvsig.andami.plugins.Extension;
@@ -73,18 +74,9 @@
 	}
 
 	private void registerIcons(){
-		PluginServices.getIconTheme().registerDefault(
-				"edition-geometry-matrix",
-				this.getClass().getClassLoader().getResource("images/Matriz.png")
-			);
-		PluginServices.getIconTheme().registerDefault(
-				"edition-geometrymatrix-lagxy",
-				this.getClass().getClassLoader().getResource("images/lagxy.png")
-			);
-		PluginServices.getIconTheme().registerDefault(
-				"edition-geometrymatrix-addpoint",
-				this.getClass().getClassLoader().getResource("images/addpoint.png")
-			);
+		IconThemeHelper.registerIcon("action", "layer-modify-matrix", this);
+		IconThemeHelper.registerIcon("editing-tools", "layer-modify-matrix-addpoint", this);
+		IconThemeHelper.registerIcon("editing-tools", "layer-modify-matrix-lagxy", this);
 	}
 
 	/**
@@ -92,11 +84,9 @@
 	 */
 	public void execute(String s) {
 		CADExtension.initFocus();
-		if (s.equals("_matrix")) {
-
-
-			CADExtension.setCADTool(s,true);
-        }
+		if ("layer-modify-matrix".equalsIgnoreCase(s)) {
+			 CADExtension.setCADTool("_matrix",true);
+	    }
 		CADExtension.getEditionManager().setMapControl(mapControl);
 		CADExtension.getCADToolAdapter().configureMenu();
 	}
Index: branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/gui/preferences/FlatnessPage.java
===================================================================
--- branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/gui/preferences/FlatnessPage.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/gui/preferences/FlatnessPage.java	(revision 38564)
@@ -118,6 +118,7 @@
 import javax.swing.border.EmptyBorder;
 
 import org.apache.batik.ext.swing.GridBagConstants;
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.preferences.AbstractPreferencePage;
 import org.gvsig.andami.preferences.StoreException;
@@ -139,7 +140,7 @@
 
 	public FlatnessPage() {
 		super();
-		icon = PluginServices.getIconTheme().get("flatness-icon");
+		icon = IconThemeHelper.getImageIcon("preferences-layer-modify-flatness");
 		setLayout(new BorderLayout());
 		add(getNorthPanel(), BorderLayout.NORTH);
 	}
Index: branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/gui/accelerators/ForceCursorAccelerator.java
===================================================================
--- branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/gui/accelerators/ForceCursorAccelerator.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/gui/accelerators/ForceCursorAccelerator.java	(revision 38564)
@@ -66,7 +66,7 @@
 			return false;
 		MapControl mc=((DefaultViewPanel)v).getMapControl();
 		mc.setAdjustGrid(!mc.getGrid().isAdjustGrid());
-		System.err.println("Ponemos ForceCursor a " + mc.getGrid().isAdjustGrid());
+//		System.err.println("Ponemos ForceCursor a " + mc.getGrid().isAdjustGrid());
 		Preferences prefs=GridPage.prefs;
 		prefs.putBoolean("grid.adjustgrid",mc.getGrid().isAdjustGrid());
 		return false;
Index: branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/gui/cad/tools/SplitGeometryCADTool.java
===================================================================
--- branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/gui/cad/tools/SplitGeometryCADTool.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/gui/cad/tools/SplitGeometryCADTool.java	(revision 38564)
@@ -99,6 +99,7 @@
      * String representation of this tool (used for example to active the tool
      * in mapcontrol)
      */
+    public static final String SPLIT_GEOMETRY_ACTION_NAME = "layer-modify-split";
     public static final String SPLIT_GEOMETRY_TOOL_NAME = "_split_geometry";
 
     /**
Index: branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/gui/graphictools/ToolSelectGraphic.java
===================================================================
--- branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/gui/graphictools/ToolSelectGraphic.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/gui/graphictools/ToolSelectGraphic.java	(revision 38564)
@@ -67,7 +67,7 @@
 	/**
 	 * The image to display when the cursor is active.
 	 */
-	private final Image img = PluginServices.getIconTheme().get("rect-select-cursor").getImage();
+	private final Image img = PluginServices.getIconTheme().get("cursor-select-by-polygon").getImage();
 
 	/**
 	 * The cursor used to work with this tool listener.
Index: branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/AutoCompletePolygonExtension.java
===================================================================
--- branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/AutoCompletePolygonExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/AutoCompletePolygonExtension.java	(revision 38564)
@@ -1,5 +1,6 @@
 package org.gvsig.editing;
 
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.messages.NotificationManager;
 import org.gvsig.andami.plugins.Extension;
@@ -23,15 +24,11 @@
 		registerIcons();
 	}
 	private void registerIcons(){
-		PluginServices.getIconTheme().registerDefault(
-				"edition-geometry-autocompletepolygon",
-				this.getClass().getClassLoader().getResource("images/polygon_autocomplete.png")
-			);
-
+		IconThemeHelper.registerIcon("action", "layer-insert-autopolygon", this);
 	}
 	public void execute(String actionCommand) {
 		CADExtension.initFocus();
-		if (actionCommand.equals("AUTOCOMPLETE_POLYGON")) {
+		if (actionCommand.equals("layer-insert-autopolygon")) {
 			CADExtension.setCADTool("_autocompletepolygon", true);
 			CADExtension.getEditionManager().setMapControl(mapControl);
 		}
Index: branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/TableCommandStackExtension.java
===================================================================
--- branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/TableCommandStackExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/TableCommandStackExtension.java	(revision 38564)
@@ -18,10 +18,6 @@
 	 * @see org.gvsig.andami.plugins.IExtension#initialize()
 	 */
 	public void initialize() {
-		PluginServices.getIconTheme().registerDefault(
-				"commands-stack",
-				this.getClass().getClassLoader().getResource("images/commandstack.png")
-			);
 	}
 
 	/**
@@ -33,7 +29,7 @@
 
 		FeatureTableDocumentPanel table = (FeatureTableDocumentPanel) f;
 		TableDocument model = table.getModel();
-		if (s.equals("COMMANDSTACK")) {
+		if (s.equals("edit-undo-redo-actions-table")) {
 			FeatureStore featureStore = model.getStore();
 			featureStore.addObserver(table);
 			CommandStackDialog csd = new CommandStackDialog();
Index: branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/StretchExtension.java
===================================================================
--- branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/StretchExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/StretchExtension.java	(revision 38564)
@@ -40,6 +40,7 @@
  */
 package org.gvsig.editing;
 
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.messages.NotificationManager;
 import org.gvsig.andami.plugins.Extension;
@@ -75,11 +76,7 @@
 	}
 
 	private void registerIcons(){
-		PluginServices.getIconTheme().registerDefault(
-				"edition-geometry-stretch",
-				this.getClass().getClassLoader().getResource("images/Stretch.png")
-			);
-
+		IconThemeHelper.registerIcon("action", "layer-modify-stretch", this);
 	}
 
 
@@ -88,9 +85,9 @@
 	 */
 	public void execute(String s) {
 		CADExtension.initFocus();
-		if (s.equals("_stretch")) {
-        	CADExtension.setCADTool(s,true);
-        }
+		if ("layer-modify-stretch".equalsIgnoreCase(s)) {
+			 CADExtension.setCADTool("_stretch",true);
+	    }
 		CADExtension.getEditionManager().setMapControl(mapControl);
 		CADExtension.getCADToolAdapter().configureMenu();
 	}
Index: branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/InsertLineExtension.java
===================================================================
--- branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/InsertLineExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/InsertLineExtension.java	(revision 38564)
@@ -40,6 +40,7 @@
  */
 package org.gvsig.editing;
 
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.messages.NotificationManager;
 import org.gvsig.andami.plugins.Extension;
@@ -74,15 +75,8 @@
 	}
 
 	private void registerIcons(){
-		PluginServices.getIconTheme().registerDefault(
-				"edition-insert-geometry-line",
-				this.getClass().getClassLoader().getResource("images/Rect.png")
-			);
-
-		PluginServices.getIconTheme().registerDefault(
-				"edition-insert-geometry-arc",
-				this.getClass().getClassLoader().getResource("images/Arc.png")
-			);
+		IconThemeHelper.registerIcon("action", "layer-insert-line", this);
+		IconThemeHelper.registerIcon("action", "layer-insert-arc", this);
 	}
 
 	/**
@@ -90,11 +84,13 @@
 	 */
 	public void execute(String s) {
 		CADExtension.initFocus();
-		if (s.equals("_line")||
-				s.equals("_arc")) {
-        	CADExtension.setCADTool(s,true);
+		if( "layer-insert-line".equalsIgnoreCase(s)) {
+        	CADExtension.setCADTool("_line",true);
         	CADExtension.getEditionManager().setMapControl(mapControl);
-        }
+		} else if( "layer-insert-arc".equalsIgnoreCase(s)) {
+        	CADExtension.setCADTool("_arc",true);
+        	CADExtension.getEditionManager().setMapControl(mapControl);
+		}
 		CADExtension.getCADToolAdapter().configureMenu();
 	}
 
Index: branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/InsertPolygonExtension.java
===================================================================
--- branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/InsertPolygonExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/InsertPolygonExtension.java	(revision 38564)
@@ -40,6 +40,7 @@
  */
 package org.gvsig.editing;
 
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.messages.NotificationManager;
 import org.gvsig.andami.plugins.Extension;
@@ -84,30 +85,11 @@
 	}
 
 	private void registerIcons(){
-		PluginServices.getIconTheme().registerDefault(
-				"edition-insert-geometry-poligon",
-				this.getClass().getClassLoader().getResource("images/Poligon.png")
-			);
-
-		PluginServices.getIconTheme().registerDefault(
-				"edition-insert-geometry-rectangle",
-				this.getClass().getClassLoader().getResource("images/Rectangle.png")
-			);
-
-		PluginServices.getIconTheme().registerDefault(
-				"edition-insert-geometry-circle",
-				this.getClass().getClassLoader().getResource("images/Circle.png")
-			);
-
-		PluginServices.getIconTheme().registerDefault(
-				"edition-insert-geometry-ellipse",
-				this.getClass().getClassLoader().getResource("images/Ellipse.png")
-			);
-
-		PluginServices.getIconTheme().registerDefault(
-				"edition-geometry-edit-vertex",
-				this.getClass().getClassLoader().getResource("images/EditVertex.png")
-			);
+		IconThemeHelper.registerIcon("action", "layer-modify-edit-vertex", this);
+		IconThemeHelper.registerIcon("action", "layer-insert-ellipse", this);
+		IconThemeHelper.registerIcon("action", "layer-insert-circle", this);
+		IconThemeHelper.registerIcon("action", "layer-insert-rectangle", this);
+		IconThemeHelper.registerIcon("action", "layer-insert-polygon", this);
 	}
 
 	/**
@@ -115,13 +97,22 @@
 	 */
 	public void execute(String s) {
 		CADExtension.initFocus();
-		if (s.equals("_polygon")||
-				s.equals("_circle")||
-				s.equals("_ellipse")||
-				s.equals("_rectangle")||
-				s.equals("_editvertex")) {
-        	CADExtension.setCADTool(s,true);
-        }
+		if ("layer-modify-edit-vertex".equalsIgnoreCase(s)) {
+			CADExtension.setCADTool("_editvertex",true);
+			
+		} else if ("layer-insert-ellipse".equalsIgnoreCase(s)) {
+			CADExtension.setCADTool("_ellipse",true);
+		
+		} else if ("layer-insert-circle".equalsIgnoreCase(s)) {
+			CADExtension.setCADTool("_circle",true);
+		
+		} else if ("layer-insert-rectangle".equalsIgnoreCase(s)) {
+			CADExtension.setCADTool("_rectangle",true);
+		
+		} else if ("layer-insert-polygon".equalsIgnoreCase(s)) {
+			CADExtension.setCADTool("_polygon",true);
+	    
+		}
 		CADExtension.getEditionManager().setMapControl(mapControl);
 		CADExtension.getCADToolAdapter().configureMenu();
 	}
Index: branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/SplitGeometryCADToolExtension.java
===================================================================
--- branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/SplitGeometryCADToolExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/SplitGeometryCADToolExtension.java	(revision 38564)
@@ -48,6 +48,7 @@
  */
 package org.gvsig.editing;
 
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.messages.NotificationManager;
 import org.gvsig.andami.plugins.Extension;
@@ -74,7 +75,7 @@
 
     public void execute(String actionCommand) {
         CADExtension.initFocus();
-        if (actionCommand.equals(SplitGeometryCADTool.SPLIT_GEOMETRY_TOOL_NAME)) {
+        if (actionCommand.equals(SplitGeometryCADTool.SPLIT_GEOMETRY_ACTION_NAME)) {
             CADExtension.setCADTool(SplitGeometryCADTool.SPLIT_GEOMETRY_TOOL_NAME, true);
         }
         CADExtension.getEditionManager().setMapControl(mapControl);
@@ -88,11 +89,7 @@
     }
 
     private void registerIcons(){
-        PluginServices.getIconTheme().registerDefault("split-geometry",
-            this.getClass().
-            getClassLoader().
-            getResource("images/split-poly.png")
-        );
+		IconThemeHelper.registerIcon("action", "layer-modify-split", this);
     }
 
     /**
Index: branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/InsertPointExtension.java
===================================================================
--- branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/InsertPointExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/InsertPointExtension.java	(revision 38564)
@@ -40,6 +40,7 @@
  */
 package org.gvsig.editing;
 
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.messages.NotificationManager;
 import org.gvsig.andami.plugins.Extension;
@@ -70,11 +71,7 @@
     }
 
     private void registerIcons(){
-    	PluginServices.getIconTheme().registerDefault(
-				"edition-insert-geometry-point",
-				this.getClass().getClassLoader().getResource("images/Point.png")
-			);
-
+		IconThemeHelper.registerIcon("action", "layer-insert-point", this);
     }
 
     /**
@@ -83,12 +80,13 @@
     public void execute(String s) {
     	CADExtension.initFocus();
 
-        if (s.equals("_point")) {
+        if ("layer-insert-point".equalsIgnoreCase(s)) {
         	CADExtension.setCADTool("_point",true);
         	CADExtension.getEditionManager().setMapControl(mapControl);
         }
         CADExtension.getCADToolAdapter().configureMenu();
     }
+    
     /**
      * @see org.gvsig.andami.plugins.IExtension#isEnabled()
      */
Index: branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/InsertPolyLineExtension.java
===================================================================
--- branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/InsertPolyLineExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/InsertPolyLineExtension.java	(revision 38564)
@@ -40,6 +40,7 @@
  */
 package org.gvsig.editing;
 
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.messages.NotificationManager;
 import org.gvsig.andami.plugins.Extension;
@@ -76,24 +77,17 @@
 	}
 
 	private void registerIcons(){
-		PluginServices.getIconTheme().registerDefault(
-				"edition-insert-geometry-polyline",
-				this.getClass().getClassLoader().getResource("images/Line.png")
-			);
-
-		PluginServices.getIconTheme().registerDefault(
-				"edition-insert-geometry-spline",
-				this.getClass().getClassLoader().getResource("images/Spline.png")
-			);
+		IconThemeHelper.registerIcon("action", "layer-insert-polyline", this);
+		IconThemeHelper.registerIcon("action", "layer-insert-spline", this);
 	}
 	/**
 	 * @see org.gvsig.andami.plugins.IExtension#execute(java.lang.String)
 	 */
 	public void execute(String s) {
 		CADExtension.initFocus();
-		if (s.equals("_polyline")) {
+		if ("layer-insert-polyline".equalsIgnoreCase(s)) {
 			CADExtension.setCADTool("_polyline",true);
-		}else if (s.equals("_spline")) {
+		}else if ("layer-insert-spline".equalsIgnoreCase(s) ) {
 			CADExtension.setCADTool("_spline",true);
 		}
 		CADExtension.getEditionManager().setMapControl(mapControl);
Index: branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/MoveGeometryExtension.java
===================================================================
--- branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/MoveGeometryExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/MoveGeometryExtension.java	(revision 38564)
@@ -40,7 +40,7 @@
  */
 package org.gvsig.editing;
 
-import org.gvsig.andami.PluginServices;
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.messages.NotificationManager;
 import org.gvsig.andami.plugins.Extension;
 import org.gvsig.editing.gui.cad.tools.MoveCADTool;
@@ -69,19 +69,16 @@
 	}
 
 	private void registerIcons(){
-		PluginServices.getIconTheme().registerDefault(
-				"edition-geometry-move",
-				this.getClass().getClassLoader().getResource("images/Move.png")
-			);
+		IconThemeHelper.registerIcon("action", "layer-modify-move", this);
 	}
 	/**
 	 * @see org.gvsig.andami.plugins.IExtension#execute(java.lang.String)
 	 */
 	public void execute(String s) {
 		CADExtension.initFocus();
-		 if (s.equals("_move")) {
+		if ("layer-modify-move".equalsIgnoreCase(s)) {
 			 CADExtension.setCADTool("_move",true);
-	        }
+	    }
 		CADExtension.getEditionManager().setMapControl(mapControl);
 		CADExtension.getCADToolAdapter().configureMenu();
 	}
Index: branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/InternalPolygonExtension.java
===================================================================
--- branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/InternalPolygonExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/InternalPolygonExtension.java	(revision 38564)
@@ -40,6 +40,7 @@
  */
 package org.gvsig.editing;
 
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.messages.NotificationManager;
 import org.gvsig.andami.plugins.Extension;
@@ -75,10 +76,7 @@
 	}
 
 	private void registerIcons(){
-	    PluginServices.getIconTheme().registerDefault(
-	        "edition-modify-geometry-internalpolygon",
-	        this.getClass().getClassLoader().getResource("images/InternalPolygon.png")
-	    );
+		IconThemeHelper.registerIcon("action", "layer-modify-internal-polygon", this);
 	}
 
 	/**
@@ -86,8 +84,8 @@
 	 */
 	public void execute(String s) {
 	    CADExtension.initFocus();
-	    if (s.equals("_internalpolygon")) {
-	        CADExtension.setCADTool(s,true);
+		if ("layer-modify-internal-polygon".equalsIgnoreCase(s)) {
+			 CADExtension.setCADTool("_internalpolygon",true);
 	    }
 	    CADExtension.getEditionManager().setMapControl(mapControl);
 	    CADExtension.getCADToolAdapter().configureMenu();
Index: branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/ExploitExtension.java
===================================================================
--- branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/ExploitExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/ExploitExtension.java	(revision 38564)
@@ -44,9 +44,7 @@
 
 import javax.swing.JOptionPane;
 
-import org.slf4j.Logger;
-import org.slf4j.LoggerFactory;
-
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.plugins.Extension;
 import org.gvsig.app.ApplicationLocator;
@@ -63,6 +61,8 @@
 import org.gvsig.fmap.geom.type.GeometryType;
 import org.gvsig.fmap.mapcontrol.MapControl;
 import org.gvsig.tools.dispose.DisposableIterator;
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
 
 
 /**
@@ -89,10 +89,7 @@
 	}
 
 	private void registerIcons(){
-		PluginServices.getIconTheme().registerDefault(
-				"edition-geometry-exploit",
-				this.getClass().getClassLoader().getResource("images/Exploit.png")
-			);
+		IconThemeHelper.registerIcon("action", "layer-modify-explode", this);
 	}
 
 	/**
@@ -100,8 +97,8 @@
 	 */
 	public void execute(String s) {
 		CADExtension.initFocus();
-		if (s.equals("_exploit")) {
-        	CADExtension.setCADTool(s,true);
+		if ( "layer-modify-explode".equalsIgnoreCase(s) ) {
+        	CADExtension.setCADTool("_exploit",true);
         }
 		CADExtension.getEditionManager().setMapControl(mapControl);
 		CADExtension.getCADToolAdapter().configureMenu();
